Home | All Classes | Grouped Classes | Index | Search

# CL_ResourceManager::get_resources_of_type

Returns a list of all resources available matching a given type. Returns a list of all resources available matching a given type in a given section.

    	std::vector<std::string> get_resources_of_type(
    		const std::string& type_id);

    	std::vector<std::string> get_resources_of_type(
    		const std::string& type_id, const std::string& section_name);

Return value:

The list of resources available.The list of resources available.

See also:

CL_ResourceManager

Questions or comments, write to the ClanLib mailing list.